Check your version

This video covers a topic in Drupal 7 which may or may not be the version you're using. We're keeping this tutorial online as a courtesy to users of Drupal 7, but we consider it archived.

Alternate resources: 

JavaScript-related Drupal Contrib Modules

Video loading...

Join Drupalize.Me to watch this video

Join today and gain instant access to our entire video library.

Log in Sign up
  • 0:15
    So one thing to keep in mind when developing Drupal
  • 0:18
    modules using jQuery is that you're not always going to know which
  • 0:23
    version of jQuery will be on the installation of Drupal
  • 0:27
    that the module is being installed in.
  • 0:31
    So we do know for instance that Drupal 5 had jQuery 1.0.
  • 0:38
    Drupal 6 had jQuery 1.2.
  • 0:42
    And Drupal 7 will ship with jQuery 1.4.
  • 0:46
    However, there are situations where module developers may want to take
  • 0:52
    advantage of more recent versions of jQuery
  • 0:58
    to use that functionality in their modules.

Javascript-Related Drupal Contrib Modules

Loading...

Go on a brief tour of other jQuery and JavaScript-related contributed modules that are worth knowing about.

Additional resources:
There are no resources for this video. If you believe there should be, please contact us.